@charset "UTF-8";
/* CSS Document */

#contenedor1{
	width: 100%;
    display: flex;
	object-fit: cover;
    justify-content: center;
	position: relative;
	flex-wrap: wrap;
    top: 0px;
    margin-bottom: 55px;
	z-index: -10000;
}

.subcontenedor1{
	width: 100%;
    max-width: 1400px;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: stretch;
}

.foundationimg{
	width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.foundationimg img{
	width: 100%;
    height: 100%;
    object-fit: cover;
	max-width:636px; 
	max-height:837px;
}

.foundationtexto{
	width: 70%;
    background-color: #81c3df;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 80px 90px;
    border-radius: 0 30px 30px 0;
    color: #f1f0ed;
    box-sizing: border-box;
	text-align: center;
	font-size: 18px;
}

#pillars{
  width: 100%;
  display: flex;
  justify-content: center;
  margin: 20px 0;
}

.pillarscontenedor{
	width: 100%;
  max-width: 1800px;
  padding: 10 0px;
  box-sizing: border-box;
  text-align: center;
}

.titulopillars{
	font-size: 40px;
  font-weight: 600;
  color: #585850;
  margin-bottom: 50px;
  letter-spacing: -1px;
}

.subcontetenedorpillars {
    width: 100%;

    display: flex;
	text-align: center;
    justify-content: center;
    align-items: stretch;
    flex-wrap: wrap;

    gap: 25px;

    margin: 0 auto;
}

.pillarcuadro{
	min-width: 220px;
  max-width: 350px;
  background-color: #e9efa0;
  border-radius: 18px;
  padding: 80px 40px;
  color: #555;
  display: flex;
  flex-direction: column;
  justify-content: center;
  box-sizing: border-box;
text-align: center;
}

.pillarcuadro h3{
	font-size: 28px;
  font-weight: 600;
  margin: 0 0 25px 0;
	color: #555;
	text-align: center;
}

.pillarcuadro p{
	font-size: 18px;
  font-weight: 300;
  line-height: 1.6;
  margin: 0;
	color: #555;
	text-align: center;
}

.girlsinc {
  display: flex;
  min-height: 100vh;
}

.subcontenedorgirls {
  flex: 1;
}

.subcontenedorgirls img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
animation: animacionimg;
	animation-timeline: scroll();
}


.textogirls{
  flex: 1;
  background-color: #ffecf9;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 0 8%;
  box-sizing: border-box;
}

.textogirls h1 {
  font-size: 37px;
  margin-bottom: 15px;
  color: #555;
}

.textogirls p {
  font-size: 18px;
  line-height: 1.6;
  color: #666;
  max-width: 480px;
  margin: 0 auto 2.5 auto;
}

.bmma{
  display: flex;
  min-height: 100vh;
}


.bmmatexto {
  flex: 1;
  background-color: #ffecf9;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  box-sizing: border-box;
}

.bmmatexto h1 {
  font-size: 37px;
  line-height: 1.2;
  margin-bottom: 15px;
  color: #555;
}

.bmmatexto p {
  font-size: 18px;
  line-height: 1.6;
  color: #666;
  max-width: 520px;
  margin: 0 auto 2.5px auto;
}

.bmmaimg {
  flex: 1;
}

.bmmaimg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
	animation: animacionimg;
	animation-timeline: scroll();
}

@keyframes animacionimg{
	0%{
		opacity: 0;
		transform: scale(0.5);
	}
	
	80%{
		opacity: 1;
		transform: scale(1);
	}
}


@media (max-width: 1024px){
  .subcontenedorpillars{
    gap: 24px;
  }
  
  .pillarcuadro{
    padding: 60px 10px;
  }
}

@media (max-width: 768px){
  .subcontenedorpillars{
    justify-content: center;
  }

  .pillarcuadro{
    max-width: 100%;
  }
}

@media (max-width: 1024px){
    .subcontenedor1{
        flex-direction: column;
    }
    
    .foundationimg,
    .foundationtexto{
        width: 100%;
    }
	
	.foundationimg img{
		overflow: hidden;
		width: 100%;
    height: 100%;
    object-fit: cover;
		position: relative;
	}
    
    .foundationtexto{
        border-radius: 0 0 30px 30px;
        padding: 50px 30px;
    }
}

@media (max-width: 1024px) {
  .girlsinc {
    flex-direction: column;
  }

  .subcontenedorgirls,
  .textogirls {
    flex: none;
    width: 100%;
  }

  .textogirls {
    padding: 2.5px 1.5px;
  }
}

@media (max-width: 1024px) {
  .bmma{
    flex-direction: column-reverse; 
  }

  .bmmatexto,
  .bmmaimg{
    flex: none;
    width: 100%;
  }

  .bmmatexto {
    padding: 2.5px 1.5px;
  }
}